Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 753221

Summary: dev-lang/spidermonkey: dropped keywords
Product: Gentoo Linux Reporter: Sam James <sam>
Component: KeywordingAssignee: Mozilla Gentoo Team <mozilla>
Status: RESOLVED FIXED    
Severity: normal CC: matoro_bugzilla_gentoo, sam
Priority: Normal Keywords: CC-ARCHES, SECURITY
Version: unspecifiedFlags: nattka: sanity-check+
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
dev-lang/spidermonkey:78 alpha hppa ia64 ppc sparc
Runtime testing required: ---
Bug Depends on: 835382    
Bug Blocks:    

Description Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-11-05 16:25:26 UTC
We're not sure why these got dropped so maybe there is some deep incompatibility but let's see.
Comment 1 NATTkA bot gentoo-dev 2020-11-05 16:28:53 UTC Comment hidden (obsolete)
Comment 2 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-11-06 11:26:58 UTC
I realised just as I filed the bug. Rust!

We need to figure out a bootstrap path on these arches where upstream do not supply binaries.
Comment 3 NATTkA bot gentoo-dev 2020-11-09 19:32:57 UTC Comment hidden (obsolete)
Comment 4 NATTkA bot gentoo-dev 2020-11-16 15:05:03 UTC Comment hidden (obsolete)
Comment 5 NATTkA bot gentoo-dev 2020-12-14 18:41:05 UTC Comment hidden (obsolete)
Comment 6 NATTkA bot gentoo-dev 2021-01-26 03:08:57 UTC Comment hidden (obsolete)
Comment 7 NATTkA bot gentoo-dev 2021-02-05 20:04:59 UTC Comment hidden (obsolete)
Comment 8 NATTkA bot gentoo-dev 2021-02-23 19:57:03 UTC Comment hidden (obsolete)
Comment 9 NATTkA bot gentoo-dev 2021-03-22 20:57:07 UTC Comment hidden (obsolete)
Comment 10 NATTkA bot gentoo-dev 2021-04-01 20:12:20 UTC Comment hidden (obsolete)
Comment 11 NATTkA bot gentoo-dev 2021-04-19 08:36:30 UTC Comment hidden (obsolete)
Comment 12 NATTkA bot gentoo-dev 2021-04-20 08:44:30 UTC Comment hidden (obsolete)
Comment 13 NATTkA bot gentoo-dev 2021-04-27 21:28:41 UTC Comment hidden (obsolete)
Comment 14 NATTkA bot gentoo-dev 2021-05-07 15:04:30 UTC Comment hidden (obsolete)
Comment 15 NATTkA bot gentoo-dev 2021-05-17 04:08:30 UTC Comment hidden (obsolete)
Comment 16 NATTkA bot gentoo-dev 2021-06-01 08:16:45 UTC Comment hidden (obsolete)
Comment 17 NATTkA bot gentoo-dev 2021-07-12 23:36:34 UTC Comment hidden (obsolete)
Comment 18 NATTkA bot gentoo-dev 2021-08-11 01:40:37 UTC Comment hidden (obsolete)
Comment 19 NATTkA bot gentoo-dev 2021-09-06 16:04:55 UTC Comment hidden (obsolete)
Comment 20 NATTkA bot gentoo-dev 2021-10-06 01:28:59 UTC Comment hidden (obsolete)
Comment 21 NATTkA bot gentoo-dev 2021-10-17 19:13:24 UTC Comment hidden (obsolete)
Comment 22 NATTkA bot gentoo-dev 2021-10-23 07:44:58 UTC Comment hidden (obsolete)
Comment 23 NATTkA bot gentoo-dev 2021-11-18 19:39:02 UTC Comment hidden (obsolete)
Comment 24 ernsteiswuerfel archtester 2021-12-02 01:01:47 UTC
Works on ppc.

It fails some tests (bug #827960), fails to build with USE=lto (bug #827959) but it builds sys-auth/polkit-0.120-r1 just fine.

 # cat spidermonkey-753221.report 
USE tests started on Do 2. Dez 01:25:08 CET 2021

 FEATURES=' test' failed for =dev-lang/spidermonkey-78.15.0
USE='-lto' succeeded for =dev-lang/spidermonkey-78.15.0
USE='lto' failed for =dev-lang/spidermonkey-78.15.0
Comment 25 NATTkA bot gentoo-dev 2022-01-15 11:57:31 UTC Comment hidden (obsolete)
Comment 26 matoro archtester 2022-04-29 16:45:45 UTC
Drop CCs for no-rust platforms (alpha, hppa, ia64) please.
Comment 27 NATTkA bot gentoo-dev 2022-04-29 17:16:35 UTC Comment hidden (obsolete)
Comment 28 NATTkA bot gentoo-dev 2022-06-22 06:44:31 UTC Comment hidden (obsolete)
Comment 29 NATTkA bot gentoo-dev 2022-06-25 22:24:33 UTC Comment hidden (obsolete)
Comment 30 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-06-25 22:28:38 UTC
LLVM 14 is where we've tested sparc. Could we see whether spidermonkey works on with LLVM 14?
Comment 31 Larry the Git Cow gentoo-dev 2022-06-26 13:14:57 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cec807d6d225cc94eeeab2ee34a142b6607b5f69

commit cec807d6d225cc94eeeab2ee34a142b6607b5f69
Author:     Joonas Niilola <juippis@gentoo.org>
AuthorDate: 2022-06-26 13:14:05 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2022-06-26 13:14:55 +0000

    dev-lang/spidermonkey: enable llvm:14 for 78
    
    Bug: https://bugs.gentoo.org/753221
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 dev-lang/spidermonkey/spidermonkey-78.15.0.ebuild | 23 ++++++++---------------
 1 file changed, 8 insertions(+), 15 deletions(-)
Comment 32 Joonas Niilola gentoo-dev 2022-06-26 13:16:43 UTC
Note that tests didn't work... but that shouldn't be anything new. Everything else compiled just fine. Not too keen on working on those test phase results.
Comment 33 NATTkA bot gentoo-dev 2022-06-26 22:28:32 UTC Comment hidden (obsolete)
Comment 34 NATTkA bot gentoo-dev 2022-07-19 13:53:31 UTC Comment hidden (obsolete)
Comment 35 ernsteiswuerfel archtester 2022-07-21 21:48:33 UTC
Non-LTO build does fine on ppc. Perhaps this is enough for keywording?

 # cat spidermonkey-753221.report 
USE tests started on Do 21. Jul 23:13:42 CEST 2022

 FEATURES=' test' failed for =dev-lang/spidermonkey-78.15.0
USE='-lto' succeeded for =dev-lang/spidermonkey-78.15.0
USE='lto' failed for =dev-lang/spidermonkey-78.15.0
Comment 36 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-07-27 04:08:34 UTC
I'll stable-mask USE=lto on sparc & ppc.
Comment 37 NATTkA bot gentoo-dev 2022-07-27 04:12:34 UTC Comment hidden (obsolete)
Comment 38 Larry the Git Cow gentoo-dev 2022-07-27 04:14:08 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a59cbf6f767245f71add544d19128f1ae0c55f5c

commit a59cbf6f767245f71add544d19128f1ae0c55f5c
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-07-27 04:10:37 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-07-27 04:10:37 +0000

    profiles/arch/powerpc/ppc32: mask spidermonkey[lto]
    
    No stable lld here.
    
    Bug: https://bugs.gentoo.org/753221
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/arch/powerpc/ppc32/package.use.stable.mask | 4 ++++
 1 file changed, 4 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=78ce2d6d235453d4c45df741b02b8a8e88b0c192

commit 78ce2d6d235453d4c45df741b02b8a8e88b0c192
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-07-27 04:09:43 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-07-27 04:09:51 +0000

    profiles/arch/sparc: mask spidermonkey[lto]
    
    No lld here yet. Did try, but lld had:
    ```
    Testing Time: 65.10s
      Unsupported      :   14
      Passed           : 2376
      Expectedly Failed:    1
      Failed           :  206
    ```
    
    Bug: https://bugs.gentoo.org/753221
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/arch/sparc/package.use.mask | 4 ++++
 1 file changed, 4 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a0573689ce21c3506244552dd094f71d737ea77

commit 7a0573689ce21c3506244552dd094f71d737ea77
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-07-27 04:05:06 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-07-27 04:07:04 +0000

    sys-libs/libcxx: keyword ~sparc
    
    List of test failures isn't bad at all:
    FAIL: libc++ :: libcxx/input.output/filesystems/class.directory_entry/directory_entry.mods/last_write_time.pass.cpp (1001 of 7627)
    FAIL: libc++ :: std/input.output/filesystems/fs.op.funcs/fs.op.last_write_time/last_write_time.pass.cpp (3311 of 7627)
    FAIL: libc++ :: std/language.support/cmp/cmp.alg/weak_order.pass.cpp (4013 of 7627)
    FAIL: libc++ :: std/language.support/cmp/cmp.alg/compare_weak_order_fallback.pass.cpp (4029 of 7627)
    FAIL: libc++ :: std/re/re.traits/isctype.pass.cpp (5593 of 7627)
    
    Bug: https://bugs.gentoo.org/753221
    Signed-off-by: Sam James <sam@gentoo.org>

 sys-libs/libcxx/libcxx-14.0.4.ebuild | 2 +-
 sys-libs/libcxx/libcxx-14.0.6.ebuild | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b51f36509b784a8e3875a84f88927f09d49318cd

commit b51f36509b784a8e3875a84f88927f09d49318cd
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-07-27 04:03:50 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-07-27 04:07:00 +0000

    sys-libs/libcxxabi: keyword ~sparc
    
    Only test_demangle.pass.cpp failed from test suite.
    
    Bug: https://bugs.gentoo.org/753221
    Signed-off-by: Sam James <sam@gentoo.org>

 sys-libs/libcxxabi/libcxxabi-14.0.4.ebuild | 2 +-
 sys-libs/libcxxabi/libcxxabi-14.0.6.ebuild | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
Comment 39 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-07-27 04:14:24 UTC
ppc done
Comment 40 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-07-27 04:16:35 UTC
(In reply to ernsteiswuerfel from comment #35)
> Non-LTO build does fine on ppc. Perhaps this is enough for keywording?
> 
>  # cat spidermonkey-753221.report 
> USE tests started on Do 21. Jul 23:13:42 CEST 2022
> 
>  FEATURES=' test' failed for =dev-lang/spidermonkey-78.15.0
> USE='-lto' succeeded for =dev-lang/spidermonkey-78.15.0
> USE='lto' failed for =dev-lang/spidermonkey-78.15.0

thanks! it is indeed
Comment 41 Joonas Niilola gentoo-dev 2022-08-16 07:38:43 UTC
sparc done

all arches done